## python-pykube-ng 22.9.0

=== Makefile ===
.PHONY: test docs package upload

VERSION          ?= $(shell git describe --tags --always --dirty)

default: package

clean:
	rm -fr build dist *egg-info .tox/ .cache/ .pytest_cache/ docs/_build/

.PHONY: install
install:
	poetry install

.PHONY: lint
lint: install
	poetry run pre-commit run --all-files

test: lint install
	poetry run coverage run --source=pykube -m py.test
	poetry run coverage html
	poetry run coverage report

apidocs:
	# update autodoc, only needs to be run when new modules are added
	poetry run sphinx-apidoc pykube -o docs/api/ -T --force

docs:
	poetry run sphinx-build -M html docs docs/_build

package: test
	poetry build

upload: package
	poetry publish

version:
	sed -i 's/__version__ = .*/__version__ = "${VERSION}"/' pykube/__init__.py
	poetry version "${VERSION}"

=== docs/requirements.txt ===
# duplicate necessary dependencies to import pykube module (for autodoc)
requests
PyYAML
sphinx-autodoc-annotation

=== debian/changelog ===
python-pykube-ng (22.9.0-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 14:15:45 +0100

python-pykube-ng (22.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1038767)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Jun 2023 23:40:05 +0200

=== debian/control ===
Source: python-pykube-ng
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 12),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-google-auth,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-requests-oauthlib,
 python3-responses,
 python3-urllib3,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykube-ng
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykube-ng.git
Homepage: https://codeberg.org/hjacobs/pykube-ng

Package: python3-pykube-ng
Architecture: all
Depends:
 python3-google-auth,
 python3-requests,
 python3-requests-oauthlib,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for Kubernetes
 Pykube (pykube-ng) is a lightweight Python client library for Kubernetes. It
 is a Platform as a Service (PaaS) that makes it easy to manage web application
 deployment and hosting through the entire lifecycle from development through
 testing to production. It adds components and tools on top of Kubernetes that
 help developers manage their application infrastructure.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://codeberg.org/hjacobs/pykube-ng
include /usr/share/openstack-pkg-tools/pkgos.make

PYBUILD_NAME=pykube

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	for i in `py3versions -vr 2>/dev/null` ; do \
		PYTHONPATH=$(CURDIR) python$$i -m pytest tests -v ; \
	done

#override_dh_auto_install:
#	dh_auto_install
#	mkdir -p $(CURDIR)/python3-pykube-ng/usr/lib/python3/dist-packages
#	cp -axuf $(CURDIR)/pykube $(CURDIR)/python3-pykube-ng/usr/lib/python3/dist-packages/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pykube-ng/pykube-ng-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
